MPD: Filter Class Reference

MPD 0.20.15

Public Member Functions | Protected Member Functions | Protected Attributes
Filter Class Referenceabstract

`#include <FilterInternal.hxx>`

Collaboration diagram for Filter:
[legend]

## Public Member Functions
virtual | ~Filter ()
const AudioFormat & | GetOutAudioFormat () const
| Returns the AudioFormat produced by FilterPCM(). More...
virtual void | Reset ()
| Reset the filter's state, e.g. More...
virtual ConstBuffer< void > | FilterPCM (ConstBuffer< void > src)=0
| Filters a block of PCM data. More...

## Protected Member Functions
| Filter (AudioFormat _out_audio_format)

## Protected Attributes
AudioFormat | out_audio_format

## Detailed Description

Definition at line 36 of file FilterInternal.hxx.

## Constructor & Destructor Documentation

## ◆ Filter()

Filter::Filter | ( | AudioFormat | _out_audio_format | ) |
| inlineexplicitprotected

Definition at line 40 of file FilterInternal.hxx.

## ◆ ~Filter()

virtual Filter::~Filter | ( |  | ) |
| inlinevirtual

Definition at line 46 of file FilterInternal.hxx.

## Member Function Documentation

## ◆ FilterPCM()

virtual ConstBuffer<void> Filter::FilterPCM | ( | ConstBuffer< void > | src | ) |
| pure virtual

Filters a block of PCM data.

Throws std::runtime_error on error.

Parameters

  src | the input buffer

Returns
  the destination buffer on success (will be invalidated by deleting this object or the next FilterPCM() or Reset() call)

## ◆ GetOutAudioFormat()

const AudioFormat& Filter::GetOutAudioFormat | ( |  | ) | const
| inline

Returns the AudioFormat produced by FilterPCM().

Definition at line 51 of file FilterInternal.hxx.

## ◆ Reset()

virtual void Filter::Reset | ( |  | ) |
| inlinevirtual

Reset the filter's state, e.g.

drop/flush buffers.

Definition at line 58 of file FilterInternal.hxx.

## Field Documentation

## ◆ out_audio_format

AudioFormat Filter::out_audio_format
| protected

Definition at line 38 of file FilterInternal.hxx.

The documentation for this class was generated from the following file:

- filter/FilterInternal.hxx